Oolite Bulletins

For information and discussion about Oolite.
It is currently Thu May 24, 2018 4:09 am

All times are UTC




Post new topic  Reply to topic  [ 24 posts ]  Go to page 1 2 Next
Author Message
PostPosted: Tue Dec 12, 2017 8:11 pm 
Offline
Above Average
Above Average

Joined: Tue Dec 12, 2017 7:58 pm
Posts: 23
Ok, so this is a little complicated, I'm hoping maybe somebody can help.

I'm running Manjaro Linux (a variant of Arch) on an AMD FX 8350 Octacore. It has an ATI Raedeon Sapphire 7770 HD graphics card.

I'm trying to run Oolite v. 1.86 and it runs ok, but it refuses to let me change the graphics setting to anything above "minimal detail"

I also tried adding some expansion packs, and they seem to work, even the ships that need shaders, except that the ringed planets one doesn't work right... instead of rings I get a flat gray square bisecting the planet.

I've checked my graphics card, drivers, and settings, they all seem fine. I'm using the ATI Catalyst drivers (proprietary) so they are the best possible drivers for that card.

The only other thing I can think could be an issue is that I run Compiz. It shouldn't effect anything, but I can't run Oolite in full screen mode (I just get a black screen) and Oolite also seems to use a ton pf processor power when running (especially when paused???) as my browser or other apps get really slow and jerky when Oolite is paused in another window.

I'm not sure what's causing all this... is there some setting in a config file or something that could be disabling higher graphics settings?

Any suggestions will be very much appreciated.


Top
   
PostPosted: Tue Dec 12, 2017 8:19 pm 
Offline
---- E L I T E ----
---- E L I T E ----

Joined: Sun Jul 21, 2013 12:26 pm
Posts: 579
Can you post the beginning of your logs (Latest.log in the Logs directory; copy up to "Resources paths", it should be enough) which includes info about your graphics card detection, so that people who know that stuff can take a look at it?


Top
   
PostPosted: Tue Dec 12, 2017 8:32 pm 
Offline
Sharp Shooter Spam Assassin
Sharp Shooter Spam Assassin
User avatar

Joined: Sat Jul 04, 2009 9:31 pm
Posts: 13220
Location: Corke's Drift
Welcome aboard - what he said, and did you download Oolite 1.86 from here.

_________________
Knowledge is a deadly friend, if no-one sets the rules
The fate of all mankind, I see, is in the hands of fools


Top
   
PostPosted: Tue Dec 12, 2017 10:08 pm 
Offline
Above Average
Above Average

Joined: Tue Dec 12, 2017 7:58 pm
Posts: 23
in response to the second question, no, I installed it via Pacman from the manjaro depository

ok, here's the logs:
Code:
Opening log for Oolite version 1.86 (x86-64) under Linux 4.13.16-2-MANJARO at 2017-12-12 15:18:20 -0500.
8 processors detected.
Build options: OpenAL, new planets.

Note that the contents of the log file can be adjusted by editing logcontrol.plist.

15:18:21.424 [gnustep]: 2017-12-12 15:18:21.424 oolite[3499:3499] File NSPropertyList.m: 1013. In parsePlItem Missing semicolon in dictionary at line 17 char 622

15:18:21.427 [oxp.conflict]: OXP oolite.oxp.Rustem.DistantStar.oxz conflicts with oolite.oxp.Wildeblood.distant_suns.oxz and was removed from the loading list
15:18:21.428 [oxp.requirementMissing]: OXP oolite.oxp.Norby.Ambience_Collection.oxz had unmet requirements and was removed from the loading list
15:18:21.631 [display.mode.list.native]: X11 native resolution detected: 1440 x 900
15:18:21.813 [joystick.init]: Number of joysticks detected: 0
15:18:21.827 [rendering.opengl.version]: OpenGL renderer version: 1.4.0 ("1.4 (2.1 (4.5.13399 Compatibility Profile Context 15.201.1151))"). Vendor: "ATI Technologies Inc.". Renderer: "AMD Radeon R7 200 Series                            ".
15:18:21.827 [rendering.opengl.extensions]: OpenGL extensions (73):
GL_EXT_texture_lod, GL_EXT_subtexture, GL_NV_texture_rectangle, GL_IBM_texture_mirrored_repeat, GL_EXT_framebuffer_multisample, GL_EXT_texture_edge_clamp, GL_ARB_texture_mirrored_repeat, GL_ARB_framebuffer_object, GL_INGR_blend_func_separate, GL_EXT_framebuffer_blit, GL_ARB_texture_non_power_of_two, GL_EXT_abgr, GL_SUN_multi_draw_arrays, GL_ARB_texture_cube_map, GL_ARB_fragment_program_shadow, GL_EXT_framebuffer_object, GL_EXT_blend_equation_separate, GL_EXT_texture_env_dot3, GL_EXT_fog_coord, GL_ARB_texture_env_dot3, GL_SGIS_texture_lod, GL_ARB_texture_env_crossbar, GL_EXT_packed_pixels, GL_EXT_separate_specular_color, GL_ARB_texture_env_combine, GL_EXT_texture_rectangle, GL_ARB_texture_env_add, GL_ARB_shadow, GL_EXT_multi_draw_arrays, GL_SGIX_shadow_ambient, GL_EXT_texture_object, GL_ARB_texture_rectangle, GL_EXT_texture3D, GL_EXT_copy_texture, GL_EXT_point_parameters, GL_ARB_window_pos, GL_ARB_point_parameters, GL_ARB_multitexture, GL_EXT_texture_env_add, GL_SGIS_texture_edge_clamp, GL_ARB_occlusion_query, GL_SGIS_generate_mipmap, GL_ARB_depth_texture, GL_EXT_texture_mirror_clamp, GL_EXT_texture_lod_bias, GL_ARB_multisample, GL_ATI_texture_mirror_once, GL_EXT_blend_color, GL_ATIX_texture_env_combine3, GL_EXT_shadow_funcs, GL_ARB_draw_buffers, GL_ATI_texture_env_combine3, GL_EXT_vertex_array, GL_EXT_draw_range_elements, GL_ARB_point_sprite, GL_ATI_draw_buffers, GL_EXT_texture_env_combine, GL_ARB_texture_compression, GL_ARB_texture_border_clamp, GL_EXT_bgra, GL_EXT_blend_func_separate, GL_EXT_rescale_normal, GL_ARB_vertex_program, GL_EXT_blend_subtract, GL_EXT_stencil_wrap, GL_EXT_secondary_color, GL_ARB_imaging, GL_EXT_blend_minmax, GL_ARB_shadow_ambient, GL_SGIS_texture_border_clamp, GL_EXT_texture_compression_s3tc, GL_ARB_transpose_matrix, GL_ARB_fragment_program
15:18:22.000 [rendering.opengl.shader.support]: Shaders will not be used (OpenGL extension GL_ARB_shading_language_100 is not available).
15:18:22.490 [gnustep]: 2017-12-12 15:18:22.490 oolite[3499:3499] File NSPropertyList.m: 1013. In parsePlItem Missing semicolon in dictionary at line 17 char 622

15:18:22.493 [oxp.conflict]: OXP oolite.oxp.Rustem.DistantStar.oxz conflicts with oolite.oxp.Wildeblood.distant_suns.oxz and was removed from the loading list
15:18:22.494 [oxp.requirementMissing]: OXP oolite.oxp.Norby.Ambience_Collection.oxz had unmet requirements and was removed from the loading list


Top
   
PostPosted: Tue Dec 12, 2017 10:16 pm 
Offline
Sharp Shooter Spam Assassin
Sharp Shooter Spam Assassin
User avatar

Joined: Sat Jul 04, 2009 9:31 pm
Posts: 13220
Location: Corke's Drift
Quote:
in response to the second question, no, I installed it via Pacman from the manjaro depository.
Just to check, could you please try the one from the above link - it's a complete package.

_________________
Knowledge is a deadly friend, if no-one sets the rules
The fate of all mankind, I see, is in the hands of fools


Top
   
PostPosted: Tue Dec 12, 2017 10:25 pm 
Offline
Above Average
Above Average

Joined: Tue Dec 12, 2017 7:58 pm
Posts: 23
Quote:
Quote:
in response to the second question, no, I installed it via Pacman from the manjaro depository.
Just to check, could you please try the one from the above link - it's a complete package.

I'll give that a try, if I can remember how to install things manually...


Top
   
PostPosted: Tue Dec 12, 2017 10:30 pm 
Offline
Sharp Shooter Spam Assassin
Sharp Shooter Spam Assassin
User avatar

Joined: Sat Jul 04, 2009 9:31 pm
Posts: 13220
Location: Corke's Drift
Thanks - from a quick glance at your log, it looks like something's up with the gfx.

_________________
Knowledge is a deadly friend, if no-one sets the rules
The fate of all mankind, I see, is in the hands of fools


Top
   
PostPosted: Tue Dec 12, 2017 10:37 pm 
Offline
Above Average
Above Average

Joined: Tue Dec 12, 2017 7:58 pm
Posts: 23
Quote:
Quote:
Quote:
in response to the second question, no, I installed it via Pacman from the manjaro depository.
Just to check, could you please try the one from the above link - it's a complete package.

I'll give that a try, if I can remember how to install things manually...
well, ok, that wasn't hard to install :)

And it seems to have fixed things, at least so far. The graphic settings now let me choose whatever level of detail I want, and the rings are displaying properly...

I guess the version they've got in the Manjaro repos has a bug or something.

THANKS!!!!

PS. Don't know how to mark this as solved, but the mods can if they want


Top
   
PostPosted: Tue Dec 12, 2017 11:14 pm 
Offline
Sharp Shooter Spam Assassin
Sharp Shooter Spam Assassin
User avatar

Joined: Sat Jul 04, 2009 9:31 pm
Posts: 13220
Location: Corke's Drift
Cool!
Quote:
I guess the version they've got in the Manjaro repos has a bug or something.
Probably missing a library or two - or something. It's a common problem with repos.

_________________
Knowledge is a deadly friend, if no-one sets the rules
The fate of all mankind, I see, is in the hands of fools


Top
   
PostPosted: Wed Dec 13, 2017 12:05 am 
Offline
Above Average
Above Average

Joined: Tue Dec 12, 2017 7:58 pm
Posts: 23
Quote:
Cool!
Quote:
I guess the version they've got in the Manjaro repos has a bug or something.
Probably missing a library or two - or something. It's a common problem with repos.
could be right... odd though as Manjaro usually seems to be fairly good with stuff like that.

At least I got it working.


Top
   
PostPosted: Wed Dec 13, 2017 2:36 am 
Offline
Deadly
Deadly

Joined: Sat Aug 09, 2014 4:16 pm
Posts: 207
Quote:
Probably missing a library or two - or something. It's a common problem with repos.
Cody, you can also hang a penguin at the top of your rifle, along with the Oolite logo :mrgreen:
Nicely handled!


Top
   
PostPosted: Wed Dec 13, 2017 5:48 am 
Offline
---- E L I T E ----
---- E L I T E ----
User avatar

Joined: Mon Apr 06, 2009 12:20 pm
Posts: 6310
Location: Aboard the Pitviper S.E. "Blackwidow"
Quote:
could be right... odd though as Manjaro usually seems to be fairly good with stuff like that.
For some complicated reasons (including cross-platform compatibility), Oolite uses some very specific versions of certain libraries, and one or two are customised specifically for Oolite. Distros generally try to use the latest versions of said libraries for their own builds of Oolite, resulting in various incompatibilities due to API changes, etc.

The Oolite package for Linux provided at oolite.org supplies the correct libraries, packaged in such a way that they don't conflict with the rest of your OS. This also makes it easy to run Oolite on many different distros, without having to compensate/adjust for their assorted idiosyncrasies.

_________________
Most games have some sort of paddling-pool-and-water-wings beginning to ease you in: Oolite takes the rather more Darwinian approach of heaving you straight into the ocean, often with a brick or two in your pockets for luck. ~ Disembodied


Top
   
PostPosted: Wed Dec 13, 2017 10:26 am 
Offline
Sharp Shooter Spam Assassin
Sharp Shooter Spam Assassin
User avatar

Joined: Sat Jul 04, 2009 9:31 pm
Posts: 13220
Location: Corke's Drift
Quote:
Cody, you can also hang a penguin at the top of your rifle...
I refuse to have Getafix hanging off my Winchester!

_________________
Knowledge is a deadly friend, if no-one sets the rules
The fate of all mankind, I see, is in the hands of fools


Top
   
PostPosted: Wed Dec 13, 2017 11:52 am 
Offline
Deadly
Deadly
User avatar

Joined: Mon Feb 20, 2017 2:14 pm
Posts: 143
I have an older AMD 7700HD or something with 2GB, running on Elementary OS (http://www.elementary.io), no proprietary drivers. I can set everything to the max, and it does look the same as it did on Windows.

As Elementary is an Ubuntu variant (sort of), maybe there's an issue with the proprietary driver itself?

_________________
UI Overhaul Experiment | DeeperSpace HUD | pleiadian's Oolite GitHub


Top
   
PostPosted: Wed Dec 13, 2017 1:04 pm 
Offline
Dangerous
Dangerous
User avatar

Joined: Thu Mar 30, 2017 9:57 pm
Posts: 111
Welcome aboard fraterchaos.
I run Manjaro XFCE myself (great distro).
Can I ask which version you are running (XFCE, KDE, GNOME) ?
I don't use compiz myself (I use the stock XFWM).
The only issue I ever really encountered with oolite was using the version installed by pamac - I found that it spread oolite files between my root partition and my home partition :? (this was some time ago now - whether the pamac installed version behaves the same way I couldn't say)
I can without any doubt second the recommendation of removing the version installed by pamac and going with downloading and installing the oolite.org version.
Installation of it really is a breeze - just pick a folder of your home partition.
I have always used free drivers with my ATI card (I won't have any proprietary software on my machine) and have never had any issues.

_________________
O.C.T.D (Oolite Crash Test Dummy) Hmm Hmm Hmm Hmm......


Top
   
Display posts from previous:  Sort by  
Post new topic  Reply to topic  [ 24 posts ]  Go to page 1 2 Next

All times are UTC


Who is online

Users browsing this forum: No registered users and 5 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum

Search for:
Powered by phpBB® Forum Software © phpBB Limited